#ifdef VERTEX_PROGRAM

uniform mediump vec4 vecSH[3];

vec3 GetDiffuseLighting(vec3 worldNormal)
{
	vec4 n = vec4(worldNormal, 1.0);
	vec3 diff;
	diff.x = dot(n, vecSH[0]);
	diff.y = dot(n, vecSH[1]);
	diff.z = dot(n, vecSH[2]);
	return diff;
}

uniform mat4 matBlend[20];

mat4 BlendTransform(vec4 blendinfo)
{
  ivec2 b = ivec2(blendinfo.xy);
  float w = blendinfo.z * (1.0 / 255.0);
  return matBlend[b.x] * w + matBlend[b.y] * (1.0-w);
}


#endif

#ifdef FRAGMENT_PROGRAM

uniform lowp samplerCube texReflection;

mediump vec4 GetReflection(highp vec3 tcReflection)
{
	mediump vec4 ref = textureCube(texReflection, tcReflection);
	return ref * (ref.a * 4.0);
}

#endif